%define lib_major	0
%define lib_name	%mklibname xfprint %{lib_major} 
%define __libtoolize /bin/true

Summary: 	Print dialog and printer manager for XFce.
Name: 		xfprint
Version: 	4.0.3
Release: 	1mdk
License:	BSD
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group:		Graphical desktop/Other
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	a2ps 
BuildRequires: 	glib2-devel >= 2.0.6
BuildRequires: 	libxfcegui4-devel >= %{version}
BuildRequires:	a2ps
 

%description
Xfprint contains a print dialog and a printer manager for  XFce.

%package -n %{lib_name}
Summary:	Lbraries for xfprint.
Group:		Development/Other

%description -n %{lib_name}
This package provides libraries for xfprint.

%package -n %{lib_name}-devel
Summary:	Development libraries for xfprint.
Group:		Development/Other
Provides:	%{name}-devel
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{lib_name}-devel
Library files needed for developing and linking with xfprint.


%prep
%setup -q

%configure2_5x --enable-letter

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 
 

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post  -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS NOTES
%{_bindir}/* 

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/*a
 

%changelog
* Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2

* Mon Nov 24 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- initial package from Charles A Edwards <eslrahc@bellsouth.net>


